<script lang="ts">
import Vue from 'vue';

export default Vue.extend({
  name: 'Globe',
});
</script>

<template>
  <div ref="globe" class="animated-hero__globe">
    <nuxt-img
      loading="lazy"
      src="/nuxt-images/developer-survey/globe-bck.png"
      alt="globe-bck"
      class="globe__bck"
    />
    <nuxt-img
      loading="lazy"
      src="/nuxt-images/developer-survey/globe.png"
      alt="globe"
      class="globe"
    />
  </div>
</template>

<style lang="scss" scoped>
.animated-hero__globe {
  position: relative;
  margin: 0 auto;
  svg {
    width: 100%;
    height: 100%;
  }

  img {
    width: 100%;
  }
  .globe {
    mix-blend-mode: color-dodge;
  }
  .globe__bck {
    position: absolute;
    height: 100%;
    width: 100%;
    left: 0;
    top: 0;
  }
}
.globe-bck {
  position: absolute;
  top: 0;
  left: 0;
}
.globe {
  mix-blend-mode: color-dodge;
}

@keyframes dash {
  to {
    stroke-dashoffset: 0;
  }
}
</style>
